import type { BuilderContextInterface } from "../../context/types.js";
import type { BuilderBlock } from "../../types/builder-block.js";
export declare type RenderBlockProps = {
    block: BuilderBlock;
    context: BuilderContextInterface;
};
export declare const component: (props: any, state: any) => import("../../context/types.js").RegisteredComponent | null | undefined;
export declare const tag: (props: any, state: any) => string;
export declare const useBlock: (props: any, state: any) => any;
export declare const actions: (props: any, state: any) => {
    [index: string]: (event: Event) => any;
};
export declare const attributes: (props: any, state: any) => {
    style: string | Partial<CSSStyleDeclaration> | Record<string, string | undefined> | undefined;
    'builder-id': string | undefined;
    class: string;
};
export declare const renderComponentProps: (props: any, state: any) => {
    blockChildren: any;
    componentRef: any;
    componentOptions: any;
    context: {
        apiKey: any;
        state: any;
        content: any;
        context: any;
        registeredComponents: any;
        inheritedStyles: Partial<CSSStyleDeclaration>;
    };
};
export declare const childrenWithoutParentComponent: (props: any, state: any) => any;
export declare const repeatItemData: (props: any, state: any) => import("./types.js").RepeatData[] | undefined;
export declare const childrenContext: (props: any, state: any) => {
    apiKey: any;
    state: any;
    content: any;
    context: any;
    registeredComponents: any;
    inheritedStyles: Partial<CSSStyleDeclaration>;
};
export declare const RenderBlock: (props: RenderBlockProps & {
    key?: any;
}) => import("@builder.io/qwik/jsx-runtime").JSX.Element;
export default RenderBlock;
